低危 Cookie域检查返回不正确的结果

CVE编号

CVE-2018-20852

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-07-14
漏洞描述
3.7.3之前的Python中的Lib/http/cookiejar.py中的http.cookiejar.DefaultPolicy.domain_return_ok无法正确验证域:它可能被诱骗将现有cookie发送到错误的服务器。攻击者可以通过使用主机名带有另一个有效主机名作为后缀的服务器来滥用此漏洞(例如,pythonicexample.com窃取example.com的cookie)。当程序使用http.cookiejar.DefaultPolicy并尝试与攻击者控制的服务器建立HTTP连接时,现有的cookie可能会泄漏给攻击者。这会影响2.x到2.7.16、3.4.10之前的3.x,3.5.7之前的3.5.x,3.6.9之前的3.6.x和3.7.3之前的3.7.x.

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://bugs.python.org/issue35121
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 python python * From
(including)
2.0
Up to
(including)
2.7.16
运行在以下环境
应用 python python * From
(including)
3.0.0
Up to
(excluding)
3.4.10
运行在以下环境
应用 python python * From
(including)
3.5.0
Up to
(excluding)
3.5.7
运行在以下环境
应用 python python * From
(including)
3.6.0
Up to
(excluding)
3.6.9
运行在以下环境
应用 python python * From
(including)
3.7.0
Up to
(excluding)
3.7.3
运行在以下环境
系统 redhat_7 python * Up to
(excluding)
0:2.7.5-88.el7
运行在以下环境
系统 redhat_7 python3 * Up to
(excluding)
0:3.6.8-13.el7
运行在以下环境
系统 suse_12 python-devel * Up to
(excluding)
2.7.13-28.31
运行在以下环境
系统 ubuntu_14.04_lts python2.7 * Up to
(excluding)
2.7.6-8ubuntu0.6+esm2
运行在以下环境
系统 ubuntu_16.04.7_lts python2.7 * Up to
(excluding)
2.7.12-1ubuntu0~16.04.8
运行在以下环境
系统 ubuntu_16.04_lts python2.7 * Up to
(excluding)
2.7.12-1ubuntu0~16.04.8
运行在以下环境
系统 ubuntu_18.04.5_lts python2.7 * Up to
(excluding)
2.7.15-4ubuntu4~18.04.1
运行在以下环境
系统 ubuntu_18.04_lts python2.7 * Up to
(excluding)
2.7.15-4ubuntu4~18.04.1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
阿里云安全产品覆盖情况